> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user

> Retrieve the authenticated user's profile information



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json get /users/me
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /users/me:
    get:
      tags:
        - Users
      summary: Get current user
      description: Retrieve the authenticated user's profile information
      responses:
        '200':
          description: Successfully retrieved user profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  orgId:
                    type: string
                    description: The organization identifier
                  userId:
                    type: string
                    description: The user's Google identifier
                  userRole:
                    type: string
                    enum:
                      - HOST
                    description: The role of the user in the organization
                  sshKeys:
                    type: array
                    description: Array of SSH Keys
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The name of the SSH key
                        publicKey:
                          type: string
                          description: The public key
                        createdAt:
                          description: The date it was created
                          type: string
                          format: date-time
                  favoriteEnvIds:
                    type: array
                    items:
                      type: string
                    description: Array of favorite environment IDs
                  stripeCheckoutSessionId:
                    type: string
                    description: The Stripe checkout session identifier
                  orgName:
                    type: string
                    description: The name of the organization
        '401':
          description: Unauthorized - User not authenticated or invalid token
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````